# Hugeicons React Native Free Edition

Welcome to the free edition of Hugeicons for React Native — an extensive library of meticulously crafted icons designed to elevate the visual appeal of your mobile applications. With Hugeicons React Native, you gain access to a vast selection of icons tailored to suit every need, allowing for highly customizable and dynamic user interfaces.

Discover more at our website: [hugeicons.com](https://hugeicons.com/)

## Features

### Autocomplete for Efficiency
Swiftly find the icon you need with our intuitive autocomplete feature, streamlining your design process.

### Customizable Size
Freedom to scale: adjust icon sizes effortlessly to match your design requirements.

### Unlimited Colors
Customize icon colors with ease, giving you the ability to maintain consistency with your brand's color palette.

### Expansive Library
Access over 4,000 icons within the library, ensuring you'll find the exact icon for every context.

## How to Use

Using Hugeicons React Native is straightforward. Here’s a quick example of how an icon component can be utilized:

```jsx
import React from "react";
import {View} from "react-native";
import {Home01Icon} from "hugeiconsreact-native";

const App = () => {
  return (
    <View>
      <Home01Icon 
        size={48} 
        color="#FF0000" 
        variant="stroke"
      />
    </View>
  );
};
```

## Installation

To install Hugeicons React Native, simply run the following command in your project directory:

```sh
npm install hugeiconsreact-native
```

Or if you prefer using Yarn:

```sh
yarn add hugeiconsreact-native
```

Enjoy the seamless integration of premium icons with Hugeicons React Native and take your application to the next level!
