import react__default, { ForwardRefExoticComponent } from 'react';
import { SvgProps, Svg } from 'react-native-svg';

type IconSvgElement = [elementName: string, attrs: Record<string, any>][];
type IconSvgObject = {
    [variantType: string]: IconSvgElement;
};
interface HugeiconsProps extends SvgProps {
    size?: string | number;
    variant?: "stroke";
    type?: "rounded";
    color?: string;
    strokeWidth?: number;
}
type HugeiconsIcon = ForwardRefExoticComponent<HugeiconsProps>;
declare const createHugeiconComponent: (iconName: string, svgObject: IconSvgObject) => react__default.ForwardRefExoticComponent<HugeiconsProps & react__default.RefAttributes<Svg>>;

export { type HugeiconsIcon, type HugeiconsProps, type IconSvgElement, type IconSvgObject, createHugeiconComponent as default };
